Summary: Simple kernel loader which boots from a FAT filesystem
Name: syslinux
Version: 1.72
Release: 1
Copyright: GPL
Group: Applications/System
Source0: ftp://ftp.kernel.org/pub/linux/utils/boot/syslinux/%{name}-%{version}.tar.gz
ExclusiveArch: i386
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: nasm, perl, netpbm-progs

%description
Syslinux is a simple kernel loader. It normally loads the kernel (and an 
optional initrd image) from a FAT filesystem. It can also be used as a
PXE bootloader during network boots (PXELINUX), or for booting from
ISO 9660 CD-ROMs (ISOLINUX).

%prep
%setup -q -n syslinux-%{version}

%build
#make DATE="$(echo `date +%%m-%%d-%%Y` RH build)"
make clean
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin
make BINDIR=$RPM_BUILD_ROOT/usr/bin LIBDIR=$RPM_BUILD_ROOT/usr/lib/syslinux install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README *.doc memdisk/*.doc COPYING keytab-lilo.pl sys2ansi.pl
%doc sample
/usr/bin/syslinux
/usr/bin/ppmtolss16
/usr/bin/lss16toppm
/usr/bin/gethostip
/usr/lib/syslinux

%changelog
* Mon May 27 2002 Jesse Keating <hosting@j2solutions.net>
- Adjusted to build 1.72.

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Sat Feb 10 2001 Matt Wilson <msw@redhat.com>
- 1.52

* Wed Jan 24 2001 Matt Wilson <msw@redhat.com>
- 1.51pre7

* Mon Jan 22 2001 Matt Wilson <msw@redhat.com>
- 1.51pre5

* Fri Jan 19 2001 Matt Wilson <msw@redhat.com>
- 1.51pre3, with e820 detection

* Tue Dec 12 2000 Than Ngo <than@redhat.com>
- rebuilt with fixed fileutils

* Thu Nov 9 2000 Than Ngo <than@redhat.com>
- update to 1.49
- update ftp site
- clean up specfile
- add some useful documents

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- add %%defattr (release 4)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}
- change application group (Applications/Internet doesn't seem
  right to me)
- added BuildRequires

* Tue Apr 04 2000 Erik Troan <ewt@redhat.com>
- initial packaging
